Skip to main content
`Ctrl`+`K`

# skbio.util.array_api_doc

skbio.util.array_api_doc(backends, devices=None)

  Add an array API compatibility table to a function’s documentation.

  An array API compatibility table is inserted into the Notes section of the function’s docstring. If the docstring has no Notes section, the table is inserted at the end of the docstring.

  Parameters:
    backends list of str

      Supported backends: ‘numpy’, ‘cupy’, ‘torch’, ‘jax’, ‘dask’.

    devices list of str, optional

      Supported devices: ‘cpu’, ‘gpu’. Defaults to per-backend defaults.